package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.service.presenter.ActivateConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.bottleBox.JinLineBottleBoxConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.bottleBox.JinLineBottleBoxListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.bottleBox.JinLineBottleBoxSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.bottleBox.JinLineBottleBoxSubListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.giftBox.JinLineGiftBoxListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.giftBox.JinLineGiftBoxSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.packRelation.giftBox.JinLineGiftBoxSubListPresenter;

public class PackBoxConfigCreateTools {
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackBottleBoxListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineBottleBoxListPresenter(context, hisView);
			break;
		}
		return presenter;
	}
	
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackBottleBoxSubListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineBottleBoxSubListPresenter(context, hisView,intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackGiftBoxListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineGiftBoxListPresenter(context, hisView);
			break;
		}
		return presenter;
	}
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createPackGiftBoxSubListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineGiftBoxSubListPresenter(context, hisView, intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createPackBottleBoxSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineBottleBoxSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createPackGiftBoxSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineGiftBoxSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 创建产品列表的presenter
	 * 
	 * @param cacheG
	 * @param context
	 * @param pLView
	 * @param intent
	 * @return
	 */
	public ActivateConfigConstact.Presenter createPackBottleBoxConfigPresenter(int handsetVersionMode, Context context,
			ActivateConfigConstact.View configView, Intent intent) {
		ActivateConfigConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_JIN_LIQUOR_PRODUCT_LINE_VERSION_MODE:
			//劲酒产线
			presenter = new JinLineBottleBoxConfigPresenter(context, configView, intent);
			break;
		}
		return presenter;
	}
}
